* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    background: linear-gradient(to right, #b5b2b2, #ababb2);
}

:root {
    --primary-text-color: #280687;
    --secondary-text-color: #4b5563;
    --accent-color: #131081;
    --accent-color-dark: #000000;
    --card-bg-color: #201e29;
    --card-hover-bg-color: #2a2738;
    --card-shadow-color: rgba(0, 0, 0, 0.15);
    --card-hover-shadow-color: rgba(0, 0, 0, 0.3);
    --nav-bg-color: #1a1a1d;
    --nav-shadow-color: rgba(130, 11, 108, 0.7);
    --button-text-color: #190aa4;
    --button-hover-text-color: #d01919;
    --button-hover-bg-color: #ff4081;
    --input-border-color: #e11164;
    --input-focus-border-color: #7113e5;
    --padding-line-section: 20px;
    border-radius: 10px;
}

body {
    font-family: 'Calibri';
    color: var(--primary-text-color);
}

p {
    color: var(--secondary-text-color);
    line-height: 1.4rem;
}

a {
    text-decoration: none;
    color:none;
}

ul {
    list-style: none;
}

.flex {
    display: flex;
    align-items: center;
}

.container {
    max-width: 1180px;
    margin-inline: auto;
    overflow:auto;
    border-color: #200914;
}

nav {
    background: linear-gradient(to right, #60626f, #525164);
    box-shadow: 0 2px 4px rgb(226, 5, 82); /* Darker shadow */
    position: fixed;
    top: 0;
    z-index: 99;
    left: 0;
    right: 0;
    padding: 10px 0;
    transition: background 0.3s;
    
}

nav:hover {
    background: linear-gradient(to right, #2b2a2b, #4f4b4f);
}

.main-nav {
    justify-content: space-between;
    padding-block: 8px;
    border-radius: 10px;
    margin-left:383px;
}

.company-logo img {
    margin:20px;
    width: 100px;
    border-radius: 100px;
}

.nav-links ul {
    gap: 16px;
    display: flex;
}


.nav-links ul li a {
    color: white;
    padding: 8px 16px;
    transition: color 0.3s;
}

.nav-links ul li a:hover,
.nav-item.active a {
    color: var(--accent-color);
}

.hover-link {
    cursor: pointer;
}

.hover-link:hover {
    color: var(--secondary-text-color);
}

.hover-link:active {
    color: rgb(63, 10, 143);
}

.search-bar {
    height: 32px;
    gap: 8px;
    display: flex;
    align-items: center;
    border-radius: 10px;
}

.news-input {
    width: 200px;
    height: 100%;
    padding-inline: 12px;
    border-radius: 4px;
    border: 2px solid var(--input-border-color);
    font-family: 'Calibri';
    transition: border-color 0.3s;
    
}

.news-input:focus {
    border-color: var(--input-focus-border-color);
    outline: none;
}

.search-button {
    background-color: var(--accent-color);
    color: var(--button-text-color);
    padding: 8px 24px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-family: 'Calibri';
    transition: background-color 0.3s, color 0.3s;
}

.search-button:hover {
    background-color: var(--button-hover-bg-color);
    color: var(--button-hover-text-color);
}

main {
    padding-block: 20px;
    margin-top: 150px;
    margin-left: 35px;
}

.cards-container {
    justify-content: space-between;
    flex-wrap: wrap;
    row-gap: 20px;
    align-items: start;
    display: flex;
}

.card {
    width: 360px;
    min-height: 400px;
    box-shadow: 0 2px 4px var(--card-shadow-color);
    border-radius: 10px;
    cursor: pointer;
    background-color: var(--card-bg-color);
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease, background-color 0.3s ease;
}

.card:hover {
    box-shadow: 0 4px 8px var(--card-hover-shadow-color);
    background-color: var(--card-hover-bg-color);
    transform: translateY(-10px);
}

.card-header img {
    width: 100%;
    height: 180px;
    object-fit: cover;
}

.card-content {
    padding: 12px;
    height: calc(100% - 180px);
    overflow: hidden;
}

.news-source {
    margin-block: 12px;
}

.nav-item.active {
    color: var(--accent-color);
}

.home-container {
    position: absolute;
    /* Change position to fixed */
    top: 20px;
    left: 5%;
    transform: translateX(-50%);
    background: linear-gradient(to right, #393738, #333336);
    padding: 0.5rem 1rem;
    /* Adjust padding to make the container smaller */
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    filter: drop-shadow(0 5px 15px rgba(0, 0, 0, 0.2));
    z-index: 999;
    /* Ensure it appears above other content */
    filter: drop-shadow(0px 0px 10px rgb(197, 9, 90));
    transition: transform 1s, box-shadow 0.3s, top 0.3s;
}


.home {
    font-size: 1.5rem;
    /* Adjust font size */
    color: rgb(41, 39, 39);
    animation: glow 1.5s infinite alternate;
    margin: 0;

}